;	PRINTER RESET FOR INITIALIZE
;	WRITTEN BY W.A.KOBLER  KW820701
;
;
;
PDA	EQU 0E4H	;PRINTER CONTROLPORT
T1	EQU 0FFH	;DELAY
T2	EQU 00H 	;DELAY
STROUT	EQU 09H
SVC	EQU 0005H
;
	ORG 0100H
;
START:
	IN A,(PDA)
	SET 7,A
	OUT (PDA),A
DELAY	LD B,T1
DEL1	LD C,B
	LD B,T2
DEL2	DJNZ DEL2
	LD B,C
	DJNZ DEL1
	IN A,(PDA)
	RES 7,A
	OUT (PDA),A
	LD C,STROUT
	LD DE,COMPL
	CALL SVC
	RET
;
COMPL	DEFB 084H
	DEFM	' PRINTER INITIALIZED $'
;
	END

